#include "BhvrAssetViewSocket.h"
#include "EBhvrAssetViewRotation.h"
#include "UObject/NoExportTypes.h"
#include "BhvrAssetViewSpringArmComponent.h"

void ABhvrAssetViewSocket::SetAutoRotateSpeed(float NewSpeed)
{

}

void ABhvrAssetViewSocket::SetAutoRotateEnabled(bool bNewValue)
{

}

void ABhvrAssetViewSocket::SetAutoRotateDirection(EBhvrAssetViewRotation NewDirection)
{

}

void ABhvrAssetViewSocket::SetAssetRotation(const FRotator& NewRotation)
{

}

void ABhvrAssetViewSocket::SetAssetLocation(const FVector& NewLocation)
{

}

float ABhvrAssetViewSocket::GetAutoRotateSpeed() const
{
	return 0.0f;
}

bool ABhvrAssetViewSocket::GetAutoRotateEnabled() const
{
	return false;
}

EBhvrAssetViewRotation ABhvrAssetViewSocket::GetAutoRotateDirection() const
{
	return EBhvrAssetViewRotation::Clockwise;
}

FTransform ABhvrAssetViewSocket::GetAssetTransform() const
{
	return FTransform{};
}

ABhvrAssetViewSocket::ABhvrAssetViewSocket()
{
	this->SpringArm = CreateDefaultSubobject<UBhvrAssetViewSpringArmComponent>(TEXT("SpringArm"));
	this->bAutoRotateEnabled = false;
	this->AutoRotateDirection = EBhvrAssetViewRotation::Clockwise;
	this->AutoRotateSpeed = 0.000000;
}
